How to enter words and collocations into the German-English dictionary
  • How to enter a noun into the German-English dictionary
  • How to enter a verb into the German-English dictionary
  • How to enter an adjective into the German-English dictionary
  • How to enter an adverb into the German-English dictionary
  • How to enter the government information into the German-English dictionary

Copyright © PROMT Ltd., 2003. All rights reserved.


How to enter German words and collocations

Rules of entering a word:
  • A verb should be entered in the form of Infinitive (for example, beginnen).
  • A noun should be entered in the singular, with an article and from the capital letter (for example, das Buch), except the case when the noun is used only in plural (for example, die Kosten).
  • An adjective should be entered in the positive degree of comparison (for example, klein). If the comparative and superlative forms are formed in non-standard way (for example, gut-besser-am besten), they should be entered separately.
  • There are no special restrictions on the form of an adverb to be entered into the dictionary.

Rules for entering a collocation:

  1. The main word in a collocation should be entered according to the rules for entering words.
  2. There should be no more than two changeable words in a collocation.
  3. The main word should be the first, or the last in the collocation (for example, oben genannt, die fremde Sprache, der Minister für Außenhandelsbeziehungen).


How to enter a noun into the German-English dictionary

Let’s enter a noun 'die Gerte' translated as 'switch' into the German-English dictionary. The procedure is as follows:

  1. In the Open Entry dialog box:
    1. In the Word (Collocation) text box type the noun 'die Gerte'. See: Rules for entering German words and collocations.
    2. In Save in list box select the user dictionary where the entry will be saved.
    3. Specify the User's Skill (Beginner or Expert).
    4. Click OK.
  2. In the New Entry dialog box indicate the part of speech of the source word. In our case, it's the Noun. Click OK.
  3. In the Gender and Number dialog box specify the gender and number of the source noun - Singular, Feminine. Click OK.
  4. In the Noun Declension dialog box check the correctness of the word forms and click OK.
  5. The Entry dialog box appears containing entry components for the word 'die Gerte'. If this word is absent in any of the dictionaries of the given direction of translation, the Translations list and the Dictionaries list are empty. Otherwise, the Dictionaries list contains the dictionaries where the source word is found. The active entry belongs to the marked dictionary in this list. You can look through the information assigned to the source word in other dictionaries, selecting them in the list.
  6. Check and edit the grammar information in the questionnaires. The proper questionnaires correspond to each part of speech. Choose Help button to learn functions of questionnaires.
  7. Click the Add button to enter the translation equivalent.
  8. In the Translation dialog box type 'switch' and click OK. (See: Rules for entering English translation equivalents.)
  9. In the Inflexion Type dialog box, mark Noun and click the Declension button.
  10. In the Noun Declension dialog box check the correctness of the word forms and click OK.
  11. The Entry dialog box will appear again and new translation will be added to the list.
  12. Click the Government button to enter the information about the government of the source word.

    13. The Government button is accessible only if you work in the Expert mode and after the translation equivalent is entered.

  13. Click OK The entry will be saved in the user dictionary selected while opening the entry.

You can enter an additional adjective translation for the noun. This translation will be used if this noun is used as the first part of a composite word. For example, the noun 'Geschäft' has two translations 'business' and 'commercial', therefore the noun 'Geschäft sding' will be automatically translated by the program as 'commercial thing'.


How to enter an adjective into the German-English dictionary

Let’s enter an adjective 'klug' translated as 'wise' into the German-English dictionary. The procedure is as follows:

  1. In the Open Entry dialog box:
    1. In the Word (Collocation) text box type the adjective 'klug'. See: Rules for entering German words and collocations.
    2. In Save in list box select the user dictionary where the entry will be saved.
    3. Specify the User's Skill (Beginner or Expert).
    4. Click OK.
  2. In the New Entry dialog box indicate the part of speech of the source word. In our case, it's the Adjective. Click OK.
  3. In the Degrees of comparison dialog box check the correctness of the word forms and click OK.
  4. The Entry dialog box appears containing entry components for the word 'klug'. If this word is absent in any of the dictionaries of the given direction of translation, the Translations list and the Dictionaries list are empty. Otherwise, the Dictionaries list contains the dictionaries where the source word is found. The active entry belongs to the marked dictionary in this list. You can look through the information assigned to the source word in other dictionaries, selecting them in the list.
  5. Check and edit the grammar information in the questionnaires. The proper questionnaires correspond to each part of speech. Choose Help button to learn functions of questionnaires.
  6. Click the Add button to enter the translation equivalent.
  7. In the Translation dialog box type 'wise' and click OK. (See: Rules for entering English translation equivalents.)
  8. In the Degrees of comparison dialog box check the correctness of the word forms and click OK.
  9. The Entry dialog box will appear again and new translation will be added to the list.
  10. Click OK The entry will be saved in the user dictionary selected while opening the entry.


How to enter a verb into the German-English dictionary

Let’s enter a verb 'blondieren' translated as 'bleach' into the German-English dictionary. The procedure is as follows:

  1. In the Open Entry dialog box:
    1. In the Word (Collocation) text box type the verb 'blondieren'. See: Rules for entering German words and collocations.
    2. In Save in list box select the user dictionary where the entry will be saved.
    3. Specify the User's Skill (Beginner or Expert).
    4. Click OK.
  2. In the New Entry dialog box indicate the part of speech of the source word. In our case, it's the Verb. Click OK.
  3. In the Verb Conjugation dialog box check the correctness of the word forms and click OK.
  4. The Entry dialog box appears containing entry components for the word 'blondieren'. If this word is absent in any of the dictionaries of the given direction of translation, the Translations list and the Dictionaries list are empty. Otherwise, the Dictionaries list contains the dictionaries where the source word is found. The active entry belongs to the marked dictionary in this list. You can look through the information assigned to the source word in other dictionaries, selecting them in the list.
  5. Check and edit the grammar information in the questionnaires. The proper questionnaires correspond to each part of speech. Choose Help button to learn functions of questionnaires.
  6. In the Auxiliary verb questionnaire specify the auxiliary verb ('haben' or 'sein') which should be used with this verb during its conjugation.
  7. Click on the Add button to enter the translation equivalent.
  8. In the Translation dialog box type 'bleach' and click OK. (See: Rules for entering English translation equivalents.)
  9. In the Verb Conjugation dialog box check the correctness of the word forms and click OK.
  10. The Entry dialog box will appear again and new translation will be added to the list.
  11. Click the Government button to enter the information about the government of the source word.

    12. The Government button is accessible only if you work in the Expert mode and after the translation equivalent is entered.

  12. Click OK The entry will be saved in the user dictionary selected while opening the entry.


How to enter an adverb into the German-English dictionary

Let’s enter an adverb 'theoretisch' translated as 'in theory' into the German-English dictionary. The procedure is as follows:

  1. In the Open Entry dialog box:
    1. In the Word (Collocation) text box type the adverb 'theoretisch'. See: Rules for entering German words and collocations.
    2. In Save in list box select the user dictionary where the entry will be saved.
    3. Specify the User's Skill (Beginner or Expert).
    4. Click OK.
  2. In the New Entry dialog box indicate the part of speech of the source word. In our case, it's the Adverb. Click OK.
  3. In the Degrees of comparison dialog box check the correctness of the word forms and click OK.
  4. The Entry dialog box appears containing entry components for the word 'theoretisch'. If this word is absent in any of the dictionaries of the given direction of translation, the Translations list and the Dictionaries list are empty. Otherwise, the Dictionaries list contains the dictionaries where the source word is found. The active entry belongs to the marked dictionary in this list. You can look through the information assigned to the source word in other dictionaries, selecting them in the list.
  5. Click on the Add button to enter the translation equivalent.
  6. In the Translation dialog box type 'in theory' and click OK. (See: Rules for entering English translation equivalents.)
  7. The Entry dialog box will appear again and new translation will be added to the list.
  8. Click OK The entry will be saved in the user dictionary selected while opening the entry.


How to enter the information about the Government

To enter the government information, do the following:
  1. Specify the Expert mode within the User's Skill.
  2. Open an entry of the source word. The translation equivalent should be entered.
  3. Click the Government button.
  4. In the Government dialog box click the Change button that corresponds to the necessary model of government.
  5. Select the Source Model for Key and the Target Model for Translation.
  6. Once the government information is entered, click OK .

The government information is accessible only if you work in the Expert mode and after the translation equivalent is entered.

See also:

Examples of the government

How the government information affects the translation quality


Glossary
  • Active and inactive translation
  • Attached dictionary
  • Collocation
  • Direction of translation
  • General dictionary
  • Government
  • Ending
  • Entry
  • Inflexion Type
  • Initial form
  • Paradigm
  • Semantic class
  • Specialized dictionary
  • Stem
  • Translation equivalents
  • User dictionary
  • User's skill
  • Word form


 Active and inactive translations

Each dictionary entry contains a list of active translations which are used during translation.

Besides, the dictionary entry may contain a list of inactive translations which are NOT used during translation but may be present in the dictionary for additional information.

Each active translation may be marked as inactive and vice versa. At least one active translation must be present in the entry.

Both active and inactive translations may contain comments - any supplementary text before the translation equivalent. Comments will NEVER appear in the text of translation.


"Animate / Inanimate" questionnaire

The active option [image] indicates whether the source noun is Animate or Inanimate.

See also:

Examples of Animate and Inanimate nouns


"Auxiliary verb" questionnaire

Indicates with which auxiliary verb (haben or sein ) the source verb is conjugated.


"Constructions" questionnaire

Allows you to assign a translation equivalent to different constructions (Attributive, Present Perfect or Adverb) containing the participle of the source verb.

See also:

Examples of translations of the participle in different constructions


"Degrees of Comparison" questionnaire

Degrees of Comparison questionnaire defines the degrees of comparison of the source adjective or adverb:

  • Positive degree of comparison (for example, klug -wise )
  • Comparative degree of comparison (for example, klüger (als…) - wiser )
  • Superlative degree of comparison (for example, am klügsten - wisest).


"Gender / Number" questionnaire

The active option [image] indicates the gender and number of the source noun: Masculine, Feminine, Neuter or Plural.


"Headword" area

Headword area contains the headword of the entry (source word or collocation).

The name of the tab (Noun, Verb, Adjective, Adverb) corresponds to the part of speech of the source word or collocation.

If the source word has several grammatical forms, you may switch to any of them by selecting the corresponding tab.

See also:

Example of a headword relating to different tabs


"Mood" questionnaire

The active option [image] indicates the mood (Indicative, Subjunctive or Imperative) of the finite form of the source verb.


"Morphology" questionnaire

Morphology questionnaire allows you to show the translations of various forms (Infinitive, Finite Forms, Participle I, Participle II) of the source verb. The check marks [image] in the questionnaire point the existing entries in the dictionary. According to the chosen variant, the form of the source verb and the list of translations for it are shown.


"Number" questionnaire

The active option [image] indicates the number of the verb form (Singular or Plural) to which the translation relates.


"Person" questionnaire

The active option [image] indicates the person of the verb form (I-st, II-nd or III-rd) to which the translation relates.


"Role in the sentence" questionnaire

Role in the sentence questionnaire requests information about the function which the adjective can fulfill in the sentence:

  • Attributive - if an adjective can be only an attribute to nouns and cannot be a part of nominal predicate. For example: ärztlich. We can say: 'Er braucht eine ärztliche Hilfe', but we cannot say: 'Die Hilfe ist ärztlich'.
  • Attributive and predicative - if an adjective can be both an attribute to nouns and a part of nominal predicate. For example: klug. We can say: 'Das ist ein kluges Kind', and 'Das Kind ist klug'.


"Semantic class" list box

Semantic class list box specifies information related to the general meaning of the source noun.

See also:

Examples of semantic classes


"Translation for a substantivized adjective" option

Mark this option, if you want to add for the substantivized adjective an additional translation in the form of a noun.

For example: for the adjective 'adelig' - 'noble' you can enter the noun translation 'aristocrat' and the program will treat it as a noun 'der Adelige'.


"Tense" questionnaire

The active option [image] indicates the tense (Present or Past) of the finite form of the source verb. If several variants are accessible, you can view the form of the source verb and the list of translations for it.


Title bar of the "Entry" dialog box

In the title bar of the Entry dialog box you can see the mode in which you work now with the entry: Beginner or Expert.


"Voice" questionnaire

Voice questionnaire

shows the information about the transitivity of the source verb.

  • A verb is transitive if it can have a direct ( non-prepositional) object.
  • A verb is intransitive if it can have an object only with preposition.
  • A verb is reflexive, if it is always used with a reflexive pronoun.

Sometimes the same verb can be used both as transitive and intransitive but with different meanings and possibly different translations.

You may switch between transitive, intransitive and reflexive meanings of the verb and assign an appropriate translation to each of them. The forms with special translations are marked with [image] .

See also:

Examples of transitive and intransitive verbs


Attached dictionaries

Attached dictionaries are those dictionaries accessible for the given direction of translation which are used during document translation. You can see the list of accessible dictionaries in the Dictionaries dialog box. The dictionaries which are attached for translation of the given document are marked with [image], and the order of dictionaries in this list corresponds to their priority. To attach / detach the dictionary from the list, check / uncheck the mark near the dictionary title. During translation process, the program searches for a translation equivalent in these dictionaries in the order in which they appear in the list. The last dictionary to search in is the General dictionary.

General dictionary is not displayed in the list of attached dictionaries but is always attached for each direction of translation.


Common buttons in the "Entry" dialog box

The following common buttons are accessible in the tabs of the "Entry" dialog box:

  • Edit button - edits the selected translation of the source word or collocation;
  • Add button - adds a new translation of the source word or collocation;
  • Delete button - deletes the selected translation of the source word or collocation;
  • OK button - closes the window and saves the entry in the user dictionary;
  • Cancel button - closes the window without saving the entry.


Initial form

Initial form - is one of the word forms which is traditionally selected as a representative of the given word in the dictionary:

  • For a verb it is an Infinitive form;
  • For a noun:
    • In English, Spanish, Portuguese, Italian and French it is singular;
    • In German and Russian: it is nominative case, singular;
  • For an adjective:
    • In English: it is positive degree of comparison;
    • In Spanish, Portuguese, Italian and French: it is masculine, singular;
    • In German and Russian: it is nominative case, masculine, singular, positive degree of comparison.


Word collocation

Word collocation (or simply collocation, or word combination, or phrase, or expression) is a combination of significant words (with syntactic words or without them), which serve for expressing a single conception or notion (for example, "program of machine translation").


"Adjective" tab

"Adjective" tab ("Entry" dialog box)

This tab contains the description of the adjective entry in an German-English dictionary. You may add or edit the translations and grammar information assigned to the adjective entry.

The following information is displayed on this tab:

  • The title bar - displays the mode in which you work now with the entry: Beginner or Expert;
  • Headword area - contains the headword of the entry (source word or collocation);
  • Grammar information:
    • Degrees of Comparison questionnaire - defines the degrees of comparison of the source adjective;
    • Role in the sentence questionnaire - defines the function which the adjective can fulfill in the sentence;
    • Translation for a substantivized adjective option - allows you to add for the substantivized adjective an additional translation in the form of a noun.
  • Dictionaries list - contains the dictionaries in which the source word or collocation was found;
  • Active translations list - contains the active translations for the source word or collocation according to the specified grammar information;
  • Inactive translations button - allows you to view and edit the list of inactive translations;
    All translation equivalents can be divided into two groups: active and inactive translations.
    • Each active translation may be made inactive, if you click the right mouse button and choose the Make inactive command from the pop-up menu.
    • Each active translation may be supplied with comment, if you click the right mouse button and choose the Comment command from the pop-up menu.
  • Common buttons - allow you to add, edit or delete the translation equivalents, and save the changed entry;
  • The name of the user dictionary where the entry will be saved is indicated at the bottom of the Entry dialog box.

See also:

How to enter an adjective in the German-English dictionary


"Adverb" tab

"Adverb" tab ("Entry" dialog box)

This tab contains the description of the adverb entry in an German-English dictionary. You may add or edit the translation equivalent of the adverb.

The following information is displayed on this tab:

  • The title bar - displays the mode in which you work now with the entry: Beginner or Expert;
  • Headword area - contains the headword of the entry (source word or collocation);
  • Grammar information:
    • Degree of Comparison questionnaire - defines the degree of comparison of the source adverb;
  • Dictionaries list - contains the dictionaries in which the source word was found;
  • Active translations list - contains the active translations for the source word or collocation according to the specified grammar information;
  • Inactive translations button - allows you to view and edit the list of inactive translations;
    All translation equivalents can be divided into two groups: active and inactive translations.
    • Each active translation may be made inactive, if you click the right mouse button and choose the Make inactive command from the pop-up menu.
    • Each active translation may be supplied with comment, if you click the right mouse button and choose the Comment command from the pop-up menu.
  • Common buttons - allow you to add, edit or delete the translation equivalents, and save the changed entry;
  • The name of the user dictionary where the entry will be saved is indicated at the bottom of the Entry dialog box.

See also:

How to enter an adverb in the German-English dictionary


"Comment" dialog box

This dialog box allows you to view or edit the text which should be considered as comment for the current translation.

Comments may be applied to both active and inactive translations.

See also:

List of abbreviations used in the comments


"Declension / Conjugation" dialog box

In this dialog box the program automatically specifies the acceptable forms of the source word, and you should only check them and change if necessary.

This dialog box can be of the following types:

  • Noun Declension dialog box
  • Degrees of comparison dialog box
  • Verb Conjugation dialog box

The Pattern list contains sample words relating to the most common inflexion types. The program automatically selects the sample out of this list and inflects the source word similar to the sample. You may choose a different sample in the list as well.

To correct any form of the word, place the cursor to the necessary line and type the correct variant. If some form of the word is absent, leave the line empty.

If you entered the forms of a word incorrectly, you will see a message "Inflexion Type is not determined".


"Degrees of comparison" dialog box

Define some of the following forms for the source adjective or adverb:

  • Positive
  • Comparative
  • Superlative


"Noun Declension" dialog box

Define some of the following forms for the source noun:

  • Nominative Singular
  • Genitive Singular
  • Dative Singular
  • Accusative Singular
  • Nominative Plural
  • Genitive Plural
  • Dative Plural
  • Accusative Plural


"Verb Conjugation" dialog box

Define some of the following forms for the source verb:

  • Infinitive
  • I. Person Singular Present Indicative
  • II. Person Singular Present Indicative
  • III. Person Singular Present Indicative
  • I. Person Plural Present Indicative
  • II. Person Plural Present Indicative
  • I. Person Singular Preterit Indicative
  • II. Person Singular Preterit Indicative
  • III. Person Singular Preterit Indicative
  • I. Person Plural Preterit Indicative
  • II. Person Plural Preterit Indicative
  • III. Person Plural Preterit Indicative
  • Participle I
  • Participle II
  • I. Person Singular Present Subjunctive
  • II. Person Singular Present Subjunctive
  • III. Person Singular Present Subjunctive
  • Imperative Singular
  • Imperative Plural


"Declension / Conjugation" dialog box

In this dialog box the program automatically specifies the acceptable forms of the output word, and you should only check them and change if necessary.

This dialog box can be of the following types:

  • Noun Declension dialog box
  • Adjective Declension dialog box
  • Verb Conjugation dialog box

The Pattern list contains sample words relating to the most common inflexion types. The program automatically selects the sample out of this list and inflects the output word similar to the sample. You may choose a different sample in the list as well.

To correct any form of the word, place the cursor to the necessary line and type the correct variant. If some form of the word is absent, leave the line empty.

If you entered the forms of a word incorrectly, you will see a message "Inflexion Type is not determined".


"Adjective Declension" dialog box

Define some of the following forms for the output adjective:

  • Positive
  • Comparative
  • Superlative
  • Adverb


"Noun Declension" dialog box

Define some of the following forms for the output noun:

  • Singular
  • Plural
  • Possessive case, singular
  • Possessive case, plural


"Verb Conjugation" dialog box

Define some of the following forms for the output verb:

  • Infinitive
  • Present Indefinite
  • Past Indefinite
  • Participle II
  • Participle I


"Gender and Number" dialog box

This dialog box allows you to specify the gender and number of the source noun.

For example:

  • der Tisch - Masculine
  • das Buch - Neuter


"Government" dialog box

This dialog box is intended for adding or editing the information about the government of a source word. In the fields of this dialog box the models of government are displayed. To change the model of government, click the appropriate Change button.

The following models of government can be stated for the source word:

  • Non-Prepositional Government - is defined in case the source word can be used in combination with a noun in the definite case without a preposition.
  • Prepositional Government - is defined in case the source word can be used in combination with a noun with a preposition.
  • Government of the Infinitive - is defined in case the source word can be used in combination with the Infinitive.
  • Government of the Adjective / Participle - is defined in case the source verb can be used as a copula.

Pay attention that you can indicate different government information for transitive and intransitive meanings of a verb.

See also:

Examples of the government

How the government information affects the translation quality


"Government of Adjective / Participle" dialog box

To specify this type of government:

  1. Mark the appropriate model in the Source Model for Key field.
  2. Select the corresponding construction in the Target Model for Translation list.

The Change Translation button allows you to give another translation of the source word for the specified construction.

See also:

Examples of government of the Adjective / Participle


"Government of Infinitive" dialog box

To specify the government of the Infinitive:

  1. Mark the appropriate model in the Source Models for Key field.
  2. Select the corresponding construction in the Target Models for Translation list.

The Change Translation button allows you to give another translation of the source word for the specified construction.

See also:

Examples of government of the Infinitive


"Non-Prepositional Government" dialog box

To specify the non-prepositional government:

  1. Select the appropriate model in the Source Model for Key field.
  2. Select the corresponding construction in the Target Model for Translation list.

See also:

Examples of non-prepositional government


"Prepositional Government" dialog box

To specify the prepositional government:

  1. Select the preposition governed by the source word in the Source Model for Key list.
  2. Select the corresponding construction in the Target Model for Translation list.

See also:

Examples of prepositional government


"Inactive translations" dialog box

This dialog box allows you to view or edit the list of inactive translations.

To edit the list of inactive translations, select the translation, click the right mouse button and choose one of the following commands from the context menu:

  • The Comment command - allows you to add any text which should be considered as comment for the current translation;
  • The Make active command - allows you to make the current inactive translation active.


"Inflexion Type" dialog box

To define the inflexion type of the words of an adjective collocation, do the following:

  1. Select the adjective in the Words list.
  2. Mark the Adjective item.
  3. Click the Degrees of comparison button. The program automatically determines the acceptable forms of the source word, you should only correct them if necessary.
  4. Mark the Unchanged item for the other words of the collocation.
  5. Click OK.

The inflexion type should be determined only for the words that really vary at declension of the collocation.

See also:

Example of defining the inflexion type of the adjective collocation


"Inflexion Type" dialog box

To define the inflexion type of the words of a noun collocation, do the following:

  1. Select the main noun in the Words list.
  2. Mark the Noun item.
  3. Click the Declension button. The program automatically determines the acceptable forms of the source word, you should only correct them if necessary.
  4. For each other changeable word in the collocation you should mark the appropriate Adjective or Noun item and click the Declension button. The program automatically determines the acceptable forms of the word, you should only correct them if necessary.
  5. Mark the Unchanged item for the unchangeable words in the collocation.
  6. Click OK.

The inflexion type should be determined only for the words that really vary at declension of the collocation.

See also:

Example of defining the inflexion type of the noun collocation


"Inflexion Type" dialog box

To define the inflexion type of the words of an adjective collocation, do the following:

  1. Select the adjective in the Words list.
  2. Mark the Adjective item.
  3. Click the Declension button. The program automatically determines the acceptable forms of the word, you should only correct them if necessary.
  4. Mark the Unchanged item for the other words of the collocation.
  5. Click OK.

The inflexion type should be determined only for the words that really vary at declension of the collocation.

See also:

Example of defining the inflexion type of the adjective collocation


"Inflexion Type" dialog box

To define the inflexion type of the words of a noun collocation, do the following:

  1. Select the main noun in the Words list.
  2. Mark the Noun item.
  3. Click the Declension button. The program automatically determines the acceptable forms of the word, you should only correct them if necessary.
  4. For each other changeable word in the collocation you should mark the appropriate Adjective or Noun item and click the Declension button. The program automatically determines the acceptable forms of the word, you should only correct them if necessary.
  5. Mark the Unchanged item for the unchangeable words in the collocation.
  6. Click OK.

The inflexion type should be determined only for the words that really vary at declension of the collocation.

See also:

Example of defining the inflexion type of the noun collocation


"Inflexion Type" dialog box

To define the inflexion type of the words of a verb collocation, do the following:

  1. Select the verb in the Words list.
  2. Mark the Verb item.
  3. Click the Conjugation button. The program automatically determines the acceptable forms of the word, you should only correct them if necessary.
  4. Mark the Unchanged item for the unchangeable words in the collocation.
  5. Click OK.

The inflexion type should be determined only for the words that really vary at conjugation of the collocation.

See also:

Example of defining the inflexion type of the verb collocation


"New Entry" dialog box

Select the part of speech of the source word or of the main word in the collocation.

  • A noun answers the question 'Wer?' or 'Was?' and designates a subject (for example, das Buch, die fremde Sprache).
  • An adjective answers the question 'Welcher?' and designates the quality of the subject (for example, klug, oben genannt).
  • A verb answers the question 'Was machen?' (for example, beginnen, sich betragen).
  • An adverb answers the question 'Wie?' (for example, teilweise).


"Noun" tab

"Noun" tab ("Entry" dialog box)

This tab contains the description of the noun entry in a German-English dictionary. You may add or edit the translations and grammar information assigned to the noun entry.

The following information is displayed on this tab:

  • The title bar - displays the mode in which you work now with the entry: Beginner or Expert;
  • Headword area - contains the headword of the entry;
  • Grammar information:
    • Gender / Number questionnaire - indicates the number and gender of the source noun;
    • Animate / Inanimate questionnaire - specifies whether the source noun is animate or inanimate;
    • Semantic class list - specifies the information related to the general meaning of the source noun;
  • Dictionaries list - contains the dictionaries in which the source word or collocation was found;
  • Active translations list - contains the active translations for the source word or collocation according to the specified grammar information;
  • Inactive translations button - allows you to view and edit the list of inactive translations;
    All translation equivalents can be divided into two groups: active and inactive translations.
    • Each active translation may be made inactive, if you click the right mouse button and choose the Make inactive command from the pop-up menu.
    • Each active translation may be supplied with comment, if you click the right mouse button and choose the Comment command from the pop-up menu.
  • Common buttons - allow you to add, edit or delete the translation equivalents, and save the changed entry;
  • The name of the user dictionary where the entry will be saved is indicated at the bottom of the dialog box;
  • Government button - allows you to enter the government information.

The Government button is displayed only if you work in the Expert mode and after the translation equivalent is entered.

You can enter an additional adjective translation for the noun which will be used in composite words. For example, the noun 'Geschäft' has two translations 'business' and 'commercial', therefore the noun 'Geschäft sding’ will be automatically translated by the program as 'commercial thing'.

See also:

How to enter a noun in the German-English dictionary


"General" tab

"General" tab ("Linguistic options for the current direction" dialog box)

This dialog box allows you to set up some general linguistic options of the program.

In the Search for the existing entry group:

  • Unmark the Search in all the dictionaries option, if you want to enter a word as a new one and define its Inflexion Type yourself.

Be sure, that you typed the word in its initial form.

In the Search for the Inflexion Types for the translations group:

  • Mark the Search in all the dictionaries of the reverse direction option (for all xR-directions), then while entering the Russian translation equivalent (word or word combination) the program will search for it in the dictionaries for which the Russian language is the source language, and thus automatically determine its Inflexion type.

This function is accessible only for xR-directions, for which the Russian language is the target language.

  • Mark the Search in the History option, then while entering the translation equivalent (word or word combination) the program will store the inflexion type of each word. Then while entering a new translation equivalent the program will first search for its inflexion type among the recently stored.

This function is accessible for all directions of translation.

Use this function, if during the work session you often enter the translation equivalents consisting of repeated words.

If the program didn't manage to determine the inflexion type for the translation equivalent by none of the above mentioned methods, the standard method of determining the inflexion type will be suggested.

If you want to change the inflexion type for the translation equivalent which was entered earlier, unmark the Search in all the dictionaries and the Search in the History options, delete the translation and enter it once more.


"General" tab

"General" tab ("Linguistic options for the current direction" dialog box)

This dialog box allows you to set up some linguistic options of the program.

In the Search for the existing entry group:

  • Mark the Do not search option, if you want to enter a word as a new one and define its Inflexion Type yourself.
  • Mark the Search only in the current dictionary option, if you want to search for the existing entry only in the current dictionary.
  • Mark the Search in all the dictionaries option, if you want to search for the existing entry in any dictionary of the current direction of translation.

Be sure, that you typed the word in its initial form.

In the Search for the Inflexion Types for the translations in the dictionaries of the reverse direction group (for example, while entering the translation equivalent in the English-Russian dictionary):

  • Mark the Do not search option, if you want to enter a word as a new one and define its inflexion type yourself.

  • Mark the Search only in the General dictionary of the reverse direction option - then the program will search for the entered translation in the Russian-English General dictionary.

  • Mark the Search in all the dictionaries of the reverse direction option - then the program will search for the entered translation in all Russian-English dictionaries.

  • Mark the Search in all the dictionaries of the reverse input language option - then the program will search for the entered translation in all Russian-English, Russian-French and Russian-German dictionaries if the appropriate directions of translation are installed on your computer.

This function is accessible only for xR-directions, for which the Russian language is the target language.

In the Search for the Inflexion Types for the words of translation in the History group:

  • Mark the Search option, and specify for which part of speech it should be used:
    • Noun
    • Adjective
    • Verb

    Then while entering a translation equivalent (word or word combination) the program will store the inflexion type of each word, and while entering a new translation equivalent it will first search for its inflexion type among the recently stored.

This function is accessible for all directions of translation.

Use this function, if during the work session you often enter the translation equivalents consisting of repeated words.

If the program didn't manage to determine the inflexion type for the translation equivalent by none of the above mentioned methods, the standard method of determining the inflexion type will be suggested.

If you want to change the inflexion type for the translation equivalent which was entered earlier, unmark the Search in all the dictionaries and the Search in the History options, delete the translation and enter it once more.


"Special" tab

"Special" tab ("Linguistic options for the current direction" dialog box)

This dialog box allows you to set up some special linguistic options of the program.

In the Search for ambiguity group:

  • Mark the Do not search option, if you don't want the program to search for ambiguous word forms and save them into the dictionary.
  • Mark the Search only in the current dictionary option, if you want the program to search for ambiguous word forms only in the current dictionary.
  • Mark the Search in the current and the General dictionary option, if you want the program to search for ambiguous word forms in the current and in the General dictionary.
  • Mark the Ask confirmation, if you want to see the warning window after the program has created a homonymous entry.

This function is accessible NOT for all directions of translation.

In the Additionally group:

  • Mark the Ask confirmation on rewriting option, if you want to see the difference between the previous and the current entry state.

  • Mark the Copy without "multiplication"option, if you want to copy the chosen entries into another dictionary as they are, without creating entries with other possible forms.


"Professional" tab

"Professional" tab ("Linguistic options for the current direction" dialog box)

This dialog box allows you to set up some linguistic options of the program which are accessible only in the professional mode of entry editing.

  • Mark the Swap "Save in" and "Save in forms" actions option, if you want to use one or another mode in the window of professional entry editing.


"Translation" dialog box

To enter a new translation equivalent or change the existing one:

  • Type a word or a collocation in its initial form corresponding to the source entry.

Words should be typed in lower case letters, unless they are Proper names.

See also:

Rules for entering translation equivalents


"Verb" tab

"Verb" tab ("Entry" dialog box)

This tab contains the description of the verb entry in an German-English dictionary. You may add or edit the translations and grammar information assigned to the verb entry.

The following information is displayed on this tab:

  • The title bar - displays the mode in which you work now with the entry: Beginner or Expert;
  • Headword area - contains the headword of the entry (source word or collocation);
  • Grammar information:
    • Morphology questionnaire - indicates the forms of the source verb;
    • Voice questionnaire - indicates the information on the transitivity of the source verb;
    • Auxiliary verb questionnaire - specifies the auxiliary verb which should be used with this verb during its conjugation.
  • Dictionaries list - contains the dictionaries in which the source word or collocation was found;
  • Active translations list - contains the active translations for the source word or collocation according to the specified grammar information;
  • Inactive translations button - allows you to view and edit the list of inactive translations;
    All translation equivalents can be divided into two groups: active and inactive translations.
    • Each active translation may be made inactive, if you click the right mouse button and choose the Make inactive command from the pop-up menu.
    • Each active translation may be supplied with comment, if you click the right mouse button and choose the Comment command from the pop-up menu.

The Inactive translations button and the Make inactive command from the pop-up menu may be disabled for some parts of speech.

  • Common buttons - allow you to add, edit or delete the translation equivalents, and save the changed entry;
  • The name of the user dictionary where the entry will be saved is indicated at the bottom of the Entry dialog box;
  • Government button - allows you to enter the government information.

The Government button is displayed only if you work in the Expert mode and after the translation equivalent is entered.

If you mark the Finite Forms in the Morphology questionnaire, you will see additional questionnaires:

  • Mood questionnaire - indicates the mood of the finite form of the source verb;
  • Number questionnaire - indicates the number of the verb form to which the translation relates;
  • Tense questionnaire - indicates the tense of the finite form of the source verb;
  • Person questionnaire -indicates the person of the verb form to which the translation relates.

If you mark the Participle II in the Morphology questionnaire, you will see additional Constructions questionnaire to indicate in which constructions this participle is usually used.

See also:

How to enter a verb in the German-English dictionary


Ending

Ending in the machine translation systems is the whole changeable part of a word, i.e. the part of the word which changes at its declination or conjugation (e.g. 'finish', 'finishED', 'finishING', etc.).


Dictionary Entry

Dictionary entry (or simply entry) in the machine translation systems is an element of the dictionary which correlates the information about the source word or collocation with its translation. A dictionary entry consists of:

  • Headword
  • Grammatical information
  • Translation equivalents

See also:

Example of an entry


Examples of animate and inanimate nouns

Examples of Animate and Inanimate nouns in the German-English dictionary

  • der Direktor - Animate
  • das Buch - Inanimate


List of abbreviations used in the comments of the German General dictionar

List of abbreviations used in the comments of the German General dictionary

  • a. - auch

  • Abk. –Abkürzung

  • Adj. - Adjektiv

  • Adv. - Adverb

  • agrar. - agrarisch

  • Am.Fußball - Amerikanischer Fußball

  • Amer. - Amerikanisch

  • Anat. - Anatomie

  • Ang. - Angeln

  • Anthropol. - Anthropologie

  • Archäol. - Archäologie

  • Archit. - Architektur

  • Astrol. - Astrologie

  • Astron. - Astronomie

  • attr. - attributiv

  • Auskft - Auskunft

  • Bakteriol. - Bakteriologie

  • Bauw. - Bauwesen

  • Behauptg - Behauptung

  • BeiordKonj. - Beiordnungskonjunktion

  • Berufstätigk. - Berufstätigkeit

  • bes. - besonders

  • best. Art. - bestimmter Artikel

  • BestimmW. - Bestimmungswort

  • bet. - betont

  • bibl. - biblisch

  • Biochem. - Biochemie

  • Biol. - Biologie

  • Bot. - Botanik

  • Bowl. - Bowling

  • Brit. - Britisch

  • Chem. - Chemie

  • Dat. - Dativ

  • DemonstPron. - Demonstrativpronomen

  • Deutschl. - Deutschland

  • dim. - diminutiv

  • dir. Obj. – direktes Objekt

  • Dokum. - Dokument

  • EDV - Datenverarbeitung

  • Eisenb. - Eisenbahn

  • elektr. - Elektrizität

  • emot. - emotional

  • Emot. - Emotionen

  • engl. - englisch

  • Entom. - Entomologie

  • evg. - evangelisch

  • fachl. - fachlich

  • Fahrz. - Fahrzeuge

  • Farb. - Farbe

  • Fecht. - Fechten

  • Finanz. - Finanzen

  • Flüssigk. - Flüssigkeit

  • form. Obj. - formales Objekt

  • form. Subj. - formales Subjekt

  • FrageW. - Fragewörter

  • franz. - französisch

  • Freiz. - Freizeit

  • Gartenb. - Gartenbau

  • GB - Großbritannien

  • Gen. - Genetiv

  • Gen. Part. - Genetivus Partitivus

  • Geogr. - Geographie

  • Geol. - Geologie

  • Geom. - Geometrie

  • Ges. - Gesellschaft

  • Gesch. - Geschichte

  • Gesundh. - Gesundheit

  • Gewichtheb. - Gewichtheben

  • Gewohnht - Gewohnheit

  • Ggst. - Gegenstand

  • Grammat. - Grammatik

  • Gymn. - Gymnastik

  • Hndl - Handel

  • höfl. - höflich

  • Ichthyol. - Fischkunde

  • in Zssgn. - in Zusammensetzungen

  • Immobil. - Immobilien

  • IndefDeterm. - Indefinitdeterminativ

  • IndefPron. - Indefinitpronomen

  • IndikatDeterm. - Indikativdeterminativ

  • IndikatPron. - Indikativpronomen

  • indir. Obj. - indirektes Objekt

  • Inf. - Infinitiv

  • Inform. - Information

  • Interjekt. - Interjektion

  • InterrogPron. - Interrogativpronomen

  • Journ. - Journalismus

  • Jur. - Recht

  • KardZ - Kardinalzahl

  • kath. - katholisch

  • kirchl. – kirchlich

  • Konj. - Konjunktion

  • Kosmet. – Kosmetik

  • kulin. - kulinarisch

  • LandW. - Landwirtschaft

  • lat. - latein

  • Ling. - Linguistik

  • Lit. - Literatur

  • Luftf. - Luftfahrt

  • mask. - männlich

  • Math. - Mathematik

  • mech. - mechanisch

  • Med. - Medizin

  • Meteo - Meteorologie

  • mil. - militärisch

  • Myth. - Mythologie

  • Nahrg - Nahrung

  • naut. - nautisch

  • Negat. - Negationen

  • NegatPart. - Negationspartikel

  • NegatSatz -Negationssatz

  • Nom. - Nominativ

  • NomGruppe - Nominativgruppe

  • o. - oder

  • Oberfl. - Oberfläche

  • Ökol. - Ökologie

  • OrdZ. - Ordnungszahl

  • Ornit. - Ornithologie

  • örtl. – örtlich

  • Österr. - Österreich

  • Parfüm. - Parfümerie

  • Part. - Partizip

  • Pers. - Person

  • PersPron. - Personalpronomen

  • Pferdrenn. - Pferderennen

  • Philos. - Philosophie

  • phys. - physisch

  • Phys. - Physik

  • Physiol. - Physiologie

  • Pl. - Plural

  • poet. - poetisch

  • Pol. - Politik

  • Poliz. - Polizei

  • Polygr. - Polygraphie

  • PossPron. - Possessivpronomen

  • PronAdv. - Pronominaladverb

  • präd. - prädikativ

  • Präfixbldng - Präfixbildung

  • Psychiat. - Psychiatrie

  • Psychol. - Psychologie

  • Qual. - Qualität

  • räuml. - räumlich

  • Rechtschr. - Rechtschreibung

  • RedeW. - Redewendung

  • ReflPron. - Reflexivpronomen

  • Rel. - Religion

  • RelPron. - Relativpronomen

  • Richtg - Richtung

  • Ring. - Ringen

  • Rud. - Rudern

  • schott. - schottisch

  • Schriftst. - Schriftstellerei

  • Schul. - Schulen

  • Schwimm. - Schwimmen

  • Sing. - Singular

  • Spring. - Springen

  • Str. - Straße

  • StreckF. - Streckform

  • Subj. - Subjekt

  • Subst. - Substantiv

  • subst. Adj. - substantiviertes Adjektiv

  • Superl. – Superlativ

  • Tätigk. - Tätigkeit

  • Tauch. - Tauchen

  • tech. - technisch

  • tel. - Telefon

  • Telekom. - Telekommunikation

  • Tenn. - Tennis

  • Textil. - Textilien

  • Theat. - Theater

  • Theor. - Theorie

  • trennb. Vors. - trennbare Vorsilbe

  • u. - und

  • umgangsspr. - umgangssprachlich

  • unbest. Art. - unbestimmter Artikel

  • Unterkft - Unterkunft

  • verstärkt. Negat. - verstärkte Negation

  • verächtl. - verächtlich

  • vi – intransitives Verb

  • vt - transitives Verb

  • vrefl – reflexives Verb

  • VWL - Volkswirtschaft

  • weibl. - weiblich

  • WerkZ. - Wekzeuge

  • Wiss. - Wissenschaft

  • zeitl. - zeitlich

  • Zool. - Zoologie

  • Zssng. - Zusammensetzung

  • Zukft - Zukunft

  • zweistell. Konj. - zweistellige Konjunktion


Examples of translations of the participle in different constructions

Examples of translations of the participle in different constructions in German-English dictionary

bestimmen (Infinitive) - determine

bestimmt (Participle II) has the following translations:

  • Attributive - certain, for example: das bestimmte Buch - the certain book
  • Present Perfect - has determined, for example: Ich habe bestimmt - I have determined
  • Adverb - definitely, for example: Ich komme bestimmt - I come definitely


Examples of the government in the German-English dictionary

Non-Prepositional Government:

  • [jemanden(etwas)] (die Arbeit) beginnen - begin smbd(smth)
  • [jemandem(etwas)] (das Buch) lesen - read TO smbd(smth) smbd(smth)

Prepositional Government:

  • MIT [jmdm(etwas)] beginnen - begin WITH smbd(smth)
  • AUF [jmdn(etwas)] achten - respect TO smbd(smth)

Government of the Infinitive:

  • betchlen, jmdn (etwas) zu machen - order to do
  • warnen, jmdn (etwas) zu machen - warn agains doing

Government of the Adjective / Participle:

  • bleiben interessant / gemacht - remain interesting / done

Different government for transitive, intransitive or reflexive meanings of a verb:

  • Verb Transitive: [jmdn(etwas)] freuen - please smbd(smth)
  • Verb Reflexive: sich auf [jmdn(etwas)] freuen - be glad ABOUT smbd(smth)


Example of a headword

Example of a headword relating to different tabs in the German dictionary

  • Betrag – Noun
  • betragen – Verb


Example of defining the inflexion type of a German adjective collocation

Let's consider, for example, a collocation 'ziemlich klein':

  • ziemlich klein
  • ziemlich klein er
  • ziemlich klein sten

It is necessary to determine the inflexion type only for the adjective 'klein'.

  • ziemlich - Unchanged
  • klein - Adjective

The inflexion type should be determined only for the words that really vary at declension of this collocation.


Example of defining the inflexion type of a German noun collocation

Let's consider, for example, a collocation 'die fremde Sprache':

  • der fremden Sprache
  • die fremden Sprache n
  • den fremden Sprache n

It is necessary to determine the inflexion type for each word:

  • Sprache - Noun
  • fremden - Adjective

Let's consider, for example, a collocation 'die Akademie der Wissenschaften':

  • die Akademie der Wissenschaften
  • der Akademie der Wissenschaften
  • den Akademien der Wissenschaften

It is necessary to determine the inflexion type only for the noun 'die Akademie'.

  • Akademie - Noun
  • der - Unchanged
  • Wissenschaften - Unchanged

The inflexion type should be determined only for the words that really vary at declension of this collocation.


Example of defining the inflexion type of an English adjective collocation

Let's consider, for example, a collocation 'strange looking':

  • strange looking
  • stranger looking

It is necessary to determine the inflexion type only for the adjective 'strange'.

  • strange - Adjective
  • looking - Unchanged

The inflexion type should be determined only for the words that really vary at declension of this collocation.


Example of defining the inflexion type of an English noun collocation

Let's consider, for example, a collocation 'actual tax':

  • actual tax
  • actual taxes

It is necessary to determine the inflexion type only for the noun 'tax':

  • actual - Unchanged
  • tax - Noun

The inflexion type should be determined only for the words that really vary at declension of this collocation.


Example of defining the inflexion type of an English verb collocation

Let's consider, for example, a collocation 'make a decision':

  • make a decision
  • made a decision

It is necessary to determine the inflexion type only for the verb 'make'.

  • make - Verb
  • a - Unchanged
  • decision - Unchanged

The inflexion type should be determined only for the words that really vary at conjugation of this collocation.


Examples of semantic classes

Examples of semantic classes in the German dictionary

  • Meter - Units of measure
  • Direktor - Job
  • Deutsche Mark - Currency
  • Mary - First name
  • Fenster - Object
  • Wunsch - Will
  • Zug - Transport
  • Vertrag - Document
  • Hand - Anatomy
  • Fläche - Surface
  • Wald - No information


Examples of transitive and intransitive verbs

Examples of transitive and intransitive verbs in the German dictionary

  • bringen - transitive verb (Er bringt das Buch.)
  • sorgen - intransitive verb (Er sorgt für das Kind.)
  • sich betragen - reflexive verb (Er beträgt sich gut.)

The verb 'anheben' can be both transitive and intransitive:

  • Er hebt die Preise an. - Transitive meaning
  • Der Streit hebt an. - Intransitive meaning


Example of an entry in the German-English dictionary

Let's consider an example of an entry of the word 'betragen' in the German-English dictionary. The word 'betragen' relates to several parts of speech and has its own translations for each of them:

Headword | Grammatical information | Translations
der Betrag | Noun | amount
betragen | Verb, Transitive | amount
sich betragen | Verb, Reflexive | behave

For displaying and editing the dictionary entry there is the Entry dialog.


General dictionary

General dictionary is the main dictionary of the machine translation system, which contains common lexicon for the certain direction of translation. Each direction of translation has its own General dictionary which is delivered with the system. The General dictionary is always attached during translation.

General dictionary is closed to the users, i.e. it can't be modified. But you can open an entry from the General dictionary, modify it and then store in your own user dictionary.


Government

Government in the machine translation systems is a subordination of word, collocation or phrase with/without a preposition (conjunction) to the main word. The government may be of the following types:

  • Prepositional Government - for example, to equip WITH
  • Non-prepositional Government - for example, to become a worker; to write a book
  • Government of the Infinitive or Gerund - for example, an opportunity to work, an opportunity of working
  • Government of the Subordinate Clause - for example, to speak, that


How to enter English translation equivalents

Rules for entering English translation equivalents

Rules for entering a word:
  • A verb should be entered in the form of Infinitive (for example, finish).
  • A noun should be entered in nominative case, singular (for example, book), except the case when the noun is used only in plural (for example, people).
  • An adjective should be entered in the positive degree of comparison (for example, long).
  • There are no special restrictions on the form of an adverb.

Rules for entering a collocation:
  • The main word in a collocation should be entered according to the rules for entering words.

Words should be typed in lower case letters, unless they are Proper names.


How the government information affects the translation quality

Let us consider an example of a sentence in which the government information for the noun 'Beschäftigung' is not specified.

Source text: 'Er hat eine Beschäftigung mit Schwimmen.'

Translation: 'He has an employment with swimming.'

This translation is incorrect since the noun 'Beschäftigung mit' should be translated into English as: 'employment of'.

You may enter the necessary information into the entry for the noun 'Beschäftigung' by clicking the Change button of the "... + Noun with Preposition" model in the Government dialog box. Mark the mit jmdm(etwas) model in the Source Model for Key field and select the OF smbd(smth) construction in the Target Model for Translation. Then you will get the correct translation:

'He has an employment of swimming.'


Inflexion Type

Inflexion Type is a set of all the word forms of a certain word.


Headword

Headword in the dictionaries of the machine translation systems is a stem or a word form of a source word or a stem/word form of a collocation in the source language as the forming element of the dictionary entry.


"Active translations" list

Active translations list contains the active translations for the source word or collocation according to the specified grammar information.

You may edit the list of active translations using the buttons or commands from the pop-up menu (Add, Edit, Delete, Up, Down, Comment, Make inactive), which become accessible if you place the mouse cursor in the field of the list and click the right mouse button.


"Dictionaries" list

Dictionaries list contains the dictionaries of the given direction of translation where the source word is found.

The active entry belongs to the marked dictionary in the list. You can look through translations of the source word in other dictionaries, selecting them in this list.

All the changes of the entry can be saved only in the user dictionary specified at the bottom of the dialog box.

It is recommended to look through the translations of the source word in other dictionaries before you start editing the active entry. Otherwise you will be prompted to save the changes while switching to another dictionary.


Paradigm

Paradigm in the machine translation systems is a set of endings of the certain Inflexion Type.


Grammatical information

Grammatical information in the machine translation systems is the description of grammatical categories, relations and semantic characteristics of the source word or collocation in the dictionary entry.


About PROMT company

PROMT company (PROMT Ltd., Russia) is the leading provider of innovative machine translation technologies (MT). It is the acknowledged researcher in the field of natural languages processing. The powerful combination of latest achievements in linguistics and perfection of technological process ensures the high quality of its systems.

The company’s objective is to create the software that can help in overcoming the language barrier. In the recent years the PROMT company has been emphasizing online translation for the Internet, fast expansion of which is limited by the world’s linguistic diversity.

PROMT company is the author of the machine translation systems which provide the full range of translation solutions and are intended to meet the requirements of different groups of users.

For simplification of work in the Internet and for popularization of the modern linguistic methods developed by the company, the PROMT company supports the free-of-charge server of translations (http://www.translate.ru).

@promt is a trademark owned by PROMT Ltd. The name "PROMT" which appears in this program is a textual representation of the @promt trademark. Other brands and product names are trademarks or registered trademarks of their respective owners.

The detailed information about the company and its products can be found out on the Web-site of the PROMT company.

Address: | 61, Vyborgskaya emb., Saint-Petersburg, Russia, 197342
Phone: | +7-(812)-245-16-06
Fax: | +7-(812)-327-44-83
E-mail: | support@promt.ru (Technical Support Service)
 | common@promt.ru (Commercial Department)
WWW: | http://www.e-promt.com/
 | http://www.translate.ru/


Semantic class

Semantic class is a class of the words which are united by the mutual sense. Semantic characteristic describes the belonging of a notion defined by a word or collocation to one of the categories, for example "Geographical Name", "Document", "Activity", "Quality", etc.


Source word

Source word is a sequence of characters from a blank up to a blank in the source language (for example, in the English-Russian system this word is in English).


Specialized dictionary

Specialized dictionary in the machine translation systems is a dictionary intended for the extension of dictionary database and customizing it for some specific domain. Using the specialized dictionaries you can get more qualitative translation of texts on different topics.

Specialized dictionaries usually are not included into the installation set but may be purchased separately.

Specialized dictionary can't be edited. But you can open an entry from the specialized dictionary, modify it and then save in your own user dictionary.

Specialized dictionaries can be included or removed from the system ONLY by the special Installation of Specialized Dictionaries and Topic Templates program.


Stem

Stem in the machine translation systems is the whole unchangeable part of a word without the ending, i.e. the part of the word which remains unchanged at its declination or conjugation (e.g. 'FINISH', 'FINISHed', 'FINISHing', etc.).


Direction of translation

Direction of translation in the machine translation systems is the language pair, which specifies from what source language into what target language the chosen text(s) will be machine-translated.

For example, if the source text is English, and you are going to translate it into Russian, select the English-Russian direction.

Source language - is the language FROM which the text is being translated.

Target language - is the language INTO which the text is being translated.


Translation equivalents

Translation equivalents in the dictionaries of the machine translation systems are all possible variants of translation for the source word or collocation.

Translation equivalents should be entered as word forms (for unchangeable parts of speech), or stems (for changeable parts of speech) and Inflexion type. Inflexion type should be defined for correct coordination of words in the sentence while translating.

If the source word (collocation) relates to several parts of speech, each of them should have its own translation equivalents. But it is not recommended to give more than 2 translation equivalents for each part of speech, for it will make the translation "heavier" (additional variants of translation will be given in brackets).


User dictionary

User Dictionary in the machine translation systems is a dictionary which you can create and update yourself. If you want to add new words to the dictionary or modify the existing entries from the General or specialized dictionaries, you can do it in your own user dictionary. The amount of user dictionaries is not limited.

All new and changed entries can be stored ONLY in the user dictionaries!

If you want to use the meanings from your user dictionary during translation, it should be attached and with the highest priority (that means that this dictionary should be placed the first in the list of attached dictionaries).


User's Skill

User’s Skill: Expert/Beginner

User's Skill in the machine translation systems defines the level of your qualification while working with the dictionary entry: Beginner or Expert.

The Beginner mode is intended for less experienced user. You are suggested to enter minimum information into the entry, the major part of it is automatically determined by the program. You are not suggested to view and edit the information about the government of the source word. Besides, the program automatically defines the Inflexion Type of the output Russian nouns and adjectives.

The Expert mode is intended for more experienced user. You are provided with access to all information stored in the dictionary entry. You can enter and edit the information about the government of the source word. Besides, while defining the inflexion type, the program will suggest you to accept its choice, that will reduce the risk of entering the incorrect forms.


Word form

Word form is a word in the definite grammatical form.